* {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;
    user-select: none;
    outline: none;
}

html, body {
    overflow: hidden;
}

#tarball {
    width: 80vw;
    height: 100dvh;
    float: left;
}

#canvascontainer {
    width: 20vw;
    height: 100dvh;
    float: right;
    background: #e6e6e6;
    border-left: 1px solid #555;
    overflow-y: auto;
    overflow-x: hidden;
}

#partselector {
    width: 20vw;
    aspect-ratio: 1/1;
    overflow: hidden;
    position: absolute;
}

#selectorbg {
    position: absolute;
    width: 100%;
    height: 100%;
    background: white;
}

#shirtPreview {
    background: white;
    width: 100%;
    aspect-ratio: 1/1;
}

.selectPart {
    position: absolute;
    background: #55555564;
    border-radius: 2.5px;
    cursor: pointer;
}

.literally {
    height: 100dvh;
}

#previewCanvas {
    aspect-ratio: 2/3;
    width: 20vw !important;
    height: auto !important;
}

.tabbutton {
    margin: 2px;
    height: 28px;
    width: calc(50% - 6px);
    margin-bottom: 0;
    border: none;
    background: none;
    cursor: pointer;
}

.selected {
    background: #dbdbdb;
    border: 1px solid #aaa;
    border-bottom: none;
}

.tabbutton:last-child {
    margin-left: 0;
}

#edit button, 
#edit select, 
#preview select, 
#preview button {
    width: calc(100% - 10px);
    margin: 5px;
    padding: 5px;
}

.tabcontent {
    border-top: 1px solid #555;
}